<%
  # This truncation is only able to happen using legacy functionality of the Slack API
  # See https://api.slack.com/messaging/composing/layouts#when-to-use-attachments

  summary = "Total Quarantined Tests: *#{all.size}*\\n"
  summary += "<https://app.periscopedata.com/shared/7f108f02-6a44-45fa-9cb0-fad6f09c5316? | Average Age Of Quarantined tests: *#{age}* days>\\n"
  types.each do |type, examples|
    summary += "#{type.to_s.titleize}: *#{examples.size}*\\n"
  end

  emojis = {
    bug: ':bug:',
    flaky: ':skull_and_crossbones:',
    new: ':new:',
    waiting_on: ':clock4:',
    investigating: ':mag:',
    broken: ':broken_record:',
    stale: ':cheese_wedge:'
  }
%>
{
  "channel": "<%= ENV['SLACK_CHANNEL'] %>",
  "username": "<%= ENV['REPORT_NAME'] ||= 'QA E2E Quarantine Report' %>",
  "icon_emoji": ":biohazard_sign:",

  "blocks": [
    {
      "type": "section",
      "text": {
        "type": "mrkdwn",
        "text": "<%= summary %>"
      }
    }
  ],
  "attachments": [
    {
      "blocks": [
        <% all.sort_by {|k| k[:age]}.reverse.each_with_index do |item, index| %>
        { "type":  "section",
          "fields": [
               {
                "type": "mrkdwn",
                "text": "*Age*: `<%= item[:age] %>` days | *Spec*: <%= item[:filename] %>| *Issue*: <<%= item[:issue_link] %>|<%= item[:issue_id] %>>| *DRI:* @<%= item[:dri]%>"
              },
              {
                "type": "mrkdwn",
                "text": "<%= "#{emojis[item[:type]]} " if emojis.has_key?(item[:type]) %>*<%= item[:type].to_s.titleize %>*"
              }
            ]
        }
        <%= ',' unless index == all.size - 1 %>
        <% end %>
      ]
    }
  ]
}
